<?php

if (!defined('ABSPATH')) {
  exit;
}

function vmv_preloader_activate()
{
  if (!vmv_preloader_option_exists()) {
    $option = vmv_preloader_option_defaults();
    add_option(VMV_ONE__OPTION, $option);
  }

  $option = vmv_preloader_get_option();

  $needAddDemoPage = $option['previewIdPage'] == null;

  if ($needAddDemoPage) {
    $cur_user_id = get_current_user_id();

    $vmv_demo_preview = array(
      'post_title' => 'VMV Preloader DEMO view(don\'t change!!!)',
      'post_status' => 'draft',
      'post_author' => $cur_user_id,
      'post_type' => 'page',
    );

    $postId = wp_insert_post($vmv_demo_preview);

    $new_option['previewIdPage'] = $postId;
    vmv_preloader_update_option($new_option, $option);
  }
}

